import request from '@/utils/request'

// 查询商品详情列表
export function listStoreProductDetails(query) {
  return request({
    url: '/store/store/storeProductDetails/list',
    method: 'get',
    params: query
  })
}

// 查询商品详情详细
export function getStoreProductDetails(detailsId) {
  return request({
    url: '/store/store/storeProductDetails/' + detailsId,
    method: 'get'
  })
}

// 新增商品详情
export function addStoreProductDetails(data) {
  return request({
    url: '/store/store/storeProductDetails',
    method: 'post',
    data: data
  })
}

// 修改商品详情
export function updateStoreProductDetails(data) {
  return request({
    url: '/store/store/storeProductDetails',
    method: 'put',
    data: data
  })
}

// 删除商品详情
export function delStoreProductDetails(detailsId) {
  return request({
    url: '/store/store/storeProductDetails/' + detailsId,
    method: 'delete'
  })
}

// 导出商品详情
export function exportStoreProductDetails(query) {
  return request({
    url: '/store/store/storeProductDetails/export',
    method: 'get',
    params: query
  })
}
